<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Kontos (info@mediafabrica.de)
 *  All rights reserved
 *
 ***************************************************************/
 
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}
$pageTsConfig = <<<'EOT'
	mod.wizards.newContentElement.wizardItems.special.elements.testissue {
		icon = ../typo3conf/ext/testissue/Resources/Public/Icon/ext_icon_wizard.gif
		title = LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:wizard.title
		description = LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:wizard.description
		tt_content_defValues {
			CType = testissue
		}
	}
	mod.wizards.newContentElement.wizardItems.special.show := addToList(testissue)
EOT;
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig($pageTsConfig);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'MediaFabrica.' .$_EXTKEY,
    'testissueRenderer',
    array (
        'testissue' => 'render',
    ),
    array (
    )
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY,'setup',
    '[GLOBAL]
    tt_content.testissue < tt_content.list.20.testissue_testissuerenderer
    tt_content.testissue.action = index',
    true
);

?>