<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Alexander Kontos (info@simple-web-solutions.de)
 *  All rights reserved
 * 
 ***************************************************************/
 
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}
$extPath    = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('testissue');
$extRelPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('testissue');
//////////////////////////////////////////////////////////////////////////////////
$ttContentColumns = array(
	'testissue_58330' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tca.testissue_58330',
		'config' => array(
			'type' => 'input',
			'size' => '50',
			'max' => '256',
			'eval' => 'trim',
			'wizards' => array(
				'_PADDING' => 2,
				'link' => array(
					'type' => 'popup',
					'title' => 'LLL:EXT:cms/locallang_ttc.xml:header_link_formlabel',
					'icon' => 'link_popup.gif',
					'script' => 'browse_links.php?mode=wizard',
						'params' => array(
							'blindLinkOptions' => 'folder, mail, page, spec, url,media'
						),
					'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
				)
			),
			'softref' => 'typolink'
		)
	),
	'testissue_placeholder1' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tca.testissue_placeholder1',
		'config' => array(
			'type' => 'input',
			'size' => '48',
		)
	),
	'testissue_placeholder2' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tca.testissue_placeholder2',
		'config' => array(
			'type' => 'input',
			'size' => '48',
		)
	),
	'testissue_placeholder3' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tca.testissue_placeholder3',
		'config' => array(
			'type' => 'text',
			'cols' => '50',
			'rows' => '3',
			'wizards' => array(
				'_PADDING' => 4,
				'_VALIGN' => 'middle',
				'RTE' => array(
					'notNewRecords' => 1,
					'RTEonly' => 1,
					'type' => 'script',
					'title' => 'LLL:EXT:cms/locallang_ttc.xml:bodytext.W.RTE',
					'icon' => 'wizard_rte2.gif',
					'script' => 'wizard_rte.php'
				),
			),             
		),
		'defaultExtras' => 'richtext:rte_transform[flag=rte_enabled|mode=ts_css]'
	),
	'bodytext' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tca.bodytext',
		'config' => array(
			'type' => 'text',
			'cols' => '50',
			'rows' => '3',
			'wizards' => array(
				'_PADDING' => 4,
				'_VALIGN' => 'middle',
				'RTE' => array(
					'notNewRecords' => 1,
					'RTEonly' => 1,
					'type' => 'script',
					'title' => 'LLL:EXT:cms/locallang_ttc.xml:bodytext.W.RTE',
					'icon' => 'wizard_rte2.gif',
					'script' => 'wizard_rte.php'
				),
			),             
		),
		'defaultExtras' => 'richtext:rte_transform[flag=rte_enabled|mode=ts_css]'
	),
);
t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns('tt_content', $ttContentColumns, 1);
$TCA['tt_content']['columns']['CType']['config']['items'][] = array('Testissue', 'testissue');
$TCA['tt_content']['types']['testissue'] = array(
    'showitem' => '		--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general,
					--div--;LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:tab.testissue,
						--palette--;LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:palette.testissue58330;testissue58330,
						--palette--;LLL:EXT:testissue/Resources/Private/Language/locallang.xlf:palette.testissuesurrounds;testissuesurrounds,
							bodytext,							
					--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.images, image, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imagelinks;imagelinks,
					--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, 
						--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, 
						--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access,'			

);
$TCA['tt_content']['palettes']['testissue58330'] = array(
	'canNotCollapse' => 1,
	'showitem' => 'testissue_58330,--linebreak--,'					
);
$TCA['tt_content']['palettes']['testissuesurrounds'] = array(
	'canNotCollapse' => 1,
	'showitem' => 'header,--linebreak--,testissue_placeholder1,--linebreak--,testissue_placeholder2,--linebreak--,testissue_placeholder3,'					
);
?>